Artica Wiki

Rest API for PowerDNS

Monitor and manage the PowerDNS service remotely using the Artica REST API service.

This feature is available on Artica v4.50 Service Pack 1 or Artica v4.50 HotFix 20240220-01

To query the Artica API service, you need to change settings in order to let the Artica API service listen your network

Get metrics the PowerDNS Authoritative Server service

GET http://server:9503/pdns/statistics

Get Status of the PowerDNS Authoritative Server service

GET http://server:9503/pdns/status

Restart the PowerDNS Authoritative Server service in background mode

GET http://server:9503/pdns/restart

Reload the PowerDNS Authoritative Server service and Recursor service

GET http://server:9503/pdns/reload

Get the list of current managed domains inside database

GET http://server:9503/pdns/domains

Create a new main domain

GET http://server:9503/pdns/add/domain/example.net